Skip to main content
PATCH
/
v2
/
routing-rules
/
{routing_rule_id}
Update routing rule
curl --request PATCH \
  --url https://api.orq.ai/v2/routing-rules/{routing_rule_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "display_name": "<string>",
  "enabled": true,
  "priority": 1
}
'
{
  "_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by_id": "<string>",
  "display_name": "<string>",
  "enabled": true,
  "priority": 1,
  "project_id": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "updated_by_id": "<string>",
  "description": "<string>",
  "expression": {
    "cel": "<string>",
    "config": {}
  },
  "models_config": {
    "mode": "fallback",
    "models": [
      {
        "model": "<string>",
        "integration_id": "<string>",
        "weight": 0.5
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.orq.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

routing_rule_id
string
required

The ID of the routing rule

Body

application/json
description
string
Maximum string length: 2048
display_name
string
Required string length: 1 - 256
enabled
boolean
expression
object
models_config
object
priority
integer<int64>
Required range: x >= 0

Response

Routing rule updated successfully

_id
string
required
created_at
string<date-time>
required
created_by_id
string
required
display_name
string
required
Required string length: 1 - 256
enabled
boolean
required
priority
integer<int64>
required
Required range: x >= 0
project_id
string
required
updated_at
string<date-time>
required
updated_by_id
string
required
description
string
Maximum string length: 2048
expression
object
models_config
object